Herqq

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# HStateVariableEvent Class Reference
Device Model

This is a class used to transfer state variable event information. More...

`#include <HStateVariableEvent>`

List of all members.

## Public Member Functions
| HStateVariableEvent ()
| HStateVariableEvent (const QVariant &previousValue, const QVariant &newValue)
| HStateVariableEvent (const HStateVariableEvent &)
| ~HStateVariableEvent ()
HStateVariableEvent & | operator= (const HStateVariableEvent &)
bool | isEmpty () const
QVariant | previousValue () const
QVariant | newValue () const

## Detailed Description

This is a class used to transfer state variable event information.

See also:
  HClientStateVariable, HServerStateVariable

Remarks:
  This class is not thread-safe.

## Constructor & Destructor Documentation

HStateVariableEvent | ( |  | ) |

Creates a new, empty instance.

See also:
  isEmpty()

HStateVariableEvent | ( | const QVariant & | previousValue,
|  | const QVariant & | newValue
| ) |  |

Creates a new instance based on the provided values.

Parameters:

  previousValue | specifies the value before the change.
  newValue | specifies the value of the state variable at the time the event was generated.

See also:
  isEmpty()

HStateVariableEvent | ( | const HStateVariableEvent & | other | ) |

Copy constructor.

Copies the contents of the `other` to this.

~HStateVariableEvent | ( |  | ) |

Destroys the instance.

## Member Function Documentation

HStateVariableEvent & operator= | ( | const HStateVariableEvent & | other | ) |

Assigns the contents of the other object to this.

Returns:
  reference to this object.

bool isEmpty | ( |  | ) | const

Indicates if the instance is empty.

Returns:
  true if the instance is empty, which means that none of its attributes contain a valid non-empty value.

QVariant previousValue | ( |  | ) | const

Returns the previous value of the state variable.

Returns:
  The previous value of the state variable.

QVariant newValue | ( |  | ) | const

Returns the new, changed value of the state variable.

Returns:
  The new, changed value of the state variable.